package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.StoreLabel;


/**
*  service接口类
*/
public interface StoreLabelService{

    List<StoreLabel> getStoreLabelList(StoreLabel record);

    List<StoreLabel> getStoreLabelByPage(Page page, StoreLabel record);

    StoreLabel getStoreLabelById(String id);

    StoreLabel getStoreLabel(StoreLabel record);

    boolean createStoreLabel(StoreLabel record);

    boolean deleteStoreLabel(String id);

    boolean updateStoreLabel(StoreLabel record);
}

